Index: DataLoader/loader.py
===================================================================
--- DataLoader/loader.py	(revision c45976b11ca926a32279ff019499fb7fd2839691)
+++ DataLoader/loader.py	(revision d36194216f4ce4d5c35dd228473f7eca929ab596)
@@ -10,5 +10,5 @@
 logging.basicConfig(level=logging.ERROR,
                     format='%(asctime)s %(levelname)s %(message)s',
-                    filename='loader_log.txt',
+                    filename='test_log.txt',
                     filemode='w')
 
@@ -85,5 +85,5 @@
                 plugin reader.
                 if an extension is not specified and a reader does not contain a field
-                ext , a ValueError "missing extension" is raised.
+                ext , a warning is printed in test_log.txt file.
                 @note: when called without parameters __setitem__ will try to load
                 readers inside a "readers" directory 
@@ -92,5 +92,6 @@
             """
             if dir==None:
-                dir = os.path.join(os.path.dirname(os.path.abspath(__file__)),'readers')
+                dir = 'readers'
+            dir=os.path.join(os.path.dirname(os.path.abspath(__file__)),dir)
                 
             if (reader==None and  ext==None) or dir:#1st load
@@ -100,21 +101,22 @@
                 if os.path.isdir('../'+dir):
                     plugReader=_findReaders('../'+dir)
-                else:
-                    if os.path.isdir('../DataLoader/'+dir):
-                        os.chdir(os.path.abspath('../DataLoader/'+dir))# change the current 
-                        plugReader=_findReaders(dir)
-                       
+ 
+                
                 if plugReader !=None:
+                    list=[]
                     for preader in plugReader:# for each modules takes list of extensions
                         try:
                             list=preader.ext
-                        except:
-                            raise AttributeError," %s instance has no attribute 'ext'"\
-                            %(preader.__class__)
-                        for item in list:
-                            ext=item
-                            if ext not in self.readers:#assign extension with its reader
-                                self.readers[ext] = []
-                            self.readers[ext].insert(0,preader)
+                        except AttributeError,msg:
+                            logging.warning(msg)
+                            pass
+                            #raise  AttributeError," %s instance has no attribute 'ext'"\
+                            #%(preader.__class__)
+                        if list !=[]:
+                            for item in list:
+                                ext=item
+                                if ext not in self.readers:#assign extension with its reader
+                                    self.readers[ext] = []
+                                self.readers[ext].insert(0,preader)
             #Reader and extension are given
             elif reader !=None and  ext !=None:
@@ -182,5 +184,5 @@
                 return self.readers[ext]
             except:
-                
+                logging.warning("Unknown file type '%s'"%ext)
                 raise RuntimeError, "Unknown file type '%s'"%ext
                 
Index: DataLoader/test/testLoad.py
===================================================================
--- DataLoader/test/testLoad.py	(revision 8d6440f96618cd67430e155f2bf52d5f801dd467)
+++ DataLoader/test/testLoad.py	(revision d36194216f4ce4d5c35dd228473f7eca929ab596)
@@ -21,5 +21,5 @@
 import os.path
 class testLoader(unittest.TestCase):
-   
+    logging.debug("Inside testLoad module")
         
     """ test fitting """
Index: DataLoader/test/testplugings.py
===================================================================
--- DataLoader/test/testplugings.py	(revision 94daf8a30376d53e5a94386b5aa8e6b2aba5a656)
+++ DataLoader/test/testplugings.py	(revision d36194216f4ce4d5c35dd228473f7eca929ab596)
@@ -11,6 +11,14 @@
 import os.path
 import os 
+import logging
+logging.basicConfig(level=logging.DEBUG,
+                    format='%(asctime)s %(levelname)s %(message)s',
+                    filename='test_log.txt',
+                    filemode='w')
 class testLoader(unittest.TestCase):
-    L=Loader()
+    
+    try:L=Loader()
+    except AttributeError,msg:
+        logging.warning(msg)
     def testplugin(self):
         """ test loading with readers"""
@@ -19,4 +27,9 @@
         self.assertEqual(self.L.__contains__('.png'),True)
         self.assertEqual(self.L.__contains__('.txt'),True)
+         #tested corrupted file.asc
+        try:self.L.load('MAR07232_rest.ASC')
+        except AttributeError,msg:
+           #logging.log(10,str(msg))
+           logging.warning(str(msg))
     def testplugin1(self):
         """ test loading with plugging"""
